Page MenuHomePhabricator

Create the prototype for translation task lists
Closed, ResolvedPublic

Description

Includes:

  • Create the prototypes based on the design in the Epic (T96147).

Result
The prototype is available and allows to:

  • Mark "Lion" article from suggestions for later.
  • Create a new list and add "Albert Einstein" to it
  • Add a shared list from the suggestions
  • Start translating "Albert Einstein" from the previous list or from the "In progress" view.

Event Timeline

Amire80 created this task.Jun 17 2015, 9:46 AM
Amire80 assigned this task to Pginer-WMF.
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 23 2015, 8:14 AM
santhosh lowered the priority of this task from High to Normal.Jun 25 2015, 3:14 AM
Pginer-WMF updated the task description. (Show Details)Jul 6 2015, 4:53 PM
Pginer-WMF updated the task description. (Show Details)Jul 6 2015, 4:57 PM

First comments about the prototype:

  • I understood quickly that the folder and the photo collage represent a sub-list or a collaborative project - this is good.
  • The "featured" tag should probably be closer to the name of the source language.
  • Clicking the Folder-plus icon at the top shows a "New collection" form and then auto-scrolls down so that I can't see the form's top half.
  • In the "New collection" form, clicking the "(to) Any language" button shows a green folder icon, which is probably wrong. I guess it should be a ULS.

I'm very interested in the 'campaign' function as 'translation competitions' are a useful international collaboration concept that we use in GLAM a lot.
But - in most (all?) the translation competitions I know, they are not one-to-one language pairs. Generally, there is a specific source language (the local language of the GLAM) and there are multiple, often undefined, target languages. e.g. A museum wants to have the articles about its important objects translated into "many" languages - not just one.
Dealing with the one-to-many system for translation competitions is important. Otherwise we will have to create multiple "campaigns" - each with exactly the same source articles - one for each requested target language.

Thanks fro the feedback @Wittylama.

We identified some of these cases when doing our initial research. I'll try to detail our current thinking on this area and feel free to add any comment if anything does not fit in the way you know these campaigns work:

This is the initial design for creating a translation list:

Our current thinking is that campaigns are regular lists that (a) are shared with other users, and (b) the user creating them can specify a preferred time period or languages. The language selection is designed to support the following cases: any-to-any (default), any-to-specific (i.e., translate these articles into our language), specific-to-any (i.e., spread these specific articles to as many languages as possible) and specific-to-specific (i.e.g, focus on a language pair).

We don't expect the above limitations to be strict. Users translating to other languages or out of the given time period will be informed and their results will be clearly separated for the campaign organisers (to help them compute results, give a prize, etc.).

The general language selector that appears at the top of the dashboard it is used as a filter: users indicate that they want to view suggestions and lists that involve a given language pair. We may also want to provide the option to make source and target to be "any", but probably not as the default option: most users would get really confused if they get list of suggestions filled with articles in languages they don't understand. In any case this filtering should not prevent the creation of campaigns for a different set of languages as explained above.

There are also some interesting questions about who should be allowed to add articles to a campaign? This opens a bunch of possibilities (only the user creating them, anyone can propose but the creator needs to approve, a configurable group of users, anyone...).

There are still many aspects to detail of our initial thinking (I'll keep adding them) and many others to figure out. So feel free to add any comment or point to example campaigns worth looking into.

@Pginer-WMF given the complexity of the "translation campaigns" topic, do you think that should be separated out as a different sub-feature from the more general idea of a public/private "collection" of articles-for-translation?

Nemo_bis added a comment.EditedJul 8 2015, 6:09 PM

regular lists

What's that?

regular lists

What's that?

I was trying to emphasise that campaigns and personal lists are not completely different beasts, and we can present campaigns just as an enhancement of lists. You'll start always by creating a list (no need to decide between lists or campaigns) and as part of the creation of that list you can set some parameters to indicate how others can participate (a given time range or set of languages). If you set those parameters and share the list we we can consider it a campaign, but it is just a short way to refer to a specific kind of list, not a totally different thing.

@Pginer-WMF given the complexity of the "translation campaigns" topic, do you think that should be separated out as a different sub-feature from the more general idea of a public/private "collection" of articles-for-translation?

These concepts seem close enough to at least consider aligning them, although I suspect we may not be able to cover the whole spectrum with the current dashboard view only.

With Campaigns we have two very different roles: organisers and participants.

From the participant perspective, I think it make sense to have an integrated access to the different sources of translations you are interested in from a single dashboard. You can search for an article that comes to your mind, pick an automatic suggestion, open the list of "Italian inventors" you created for the upcoming editathon, or pick some articles from the "Wiki loves Earth" campaign.

From the organisers perspective, the above model my fall short on bigger projects like Wikiproject Medicine, where organisers may need a higher detail of the languages covered, information about participants and many other things that may well deserve its own specific view. Even with a separate view, I think we can connect it well with the current dashboard, but I have not worked much yet in that direction.

Testing these ideas will allow us to understand the specifics of that complexity. The plan is to start involving participants and organisers for different kinds of campaigns to understand how are they working right now to find the best way to help them.

Doc_James added a comment.EditedJul 31 2015, 4:03 PM

A couple of things I would like:

  1. I want to add non mainspace items to the list. For example we are only encouraging people to translated 4 paragraph overviews which we have put in places like this https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Medicine/Translation_task_force/RTT/Simple_eating_disorder
  1. Would be good to allow people to set the dashboard such that they are notified when a new article is added to the lists they are interested in

Anyway looking forwards to these lists going live. We will need to figure out how to integrate this tool with the TWB website. We will want links we can post their that will bring the volunteer to a specific article / language job. Once they have completed the translation automatic feedback of the number of words translated to TWB would be nice.

Nemo_bis removed a subscriber: Nemo_bis.Jul 31 2015, 9:23 PM

Thanks @Doc_James, these are great suggestions:

  1. I want to add non mainspace items to the list.

We are already considering the support the translation of content outside the main namespace (T86744). The example article you shared has been helpful to identify some of the issues that are preventing it to work already, and I added them to the ticket for the developers to further investigate. For lists and campaigns we definitely want to support them too.

  1. Would be good to allow people to set the dashboard such that they are notified when a new article is added to the lists they are interested in

This is a great idea. We have not thought yet on the notification details, but it makes sense to provide some control for users to decide which lists should be more proactive to update the user about new opportunities to translate and/or other meaningful events.

regular lists

What's that?

Self-answer: https://gerrit.wikimedia.org/r/#/c/231253/ revealed that a new database table for "lists", whatever they are, is being created; so maybe that's what was meant by "regular lists".

Nemo_bis removed a subscriber: Nemo_bis.Aug 28 2015, 7:14 AM
Pginer-WMF closed this task as Resolved.EditedSep 2 2015, 8:36 AM

The initial version of the prototype is complete and it will be used this and next week to get feedback from user, so I'm closing this task.
Feel free to continue the discussion about translation lists and campaigns in the main task for it: T96147: [Epic] ContentTranslation - Lists of articles to translate